## soju 0.6.2

=== Makefile ===
GO ?= go
RM ?= rm
SCDOC ?= scdoc
GOFLAGS ?=
PREFIX ?= /usr/local
BINDIR ?= bin
MANDIR ?= share/man
SYSCONFDIR ?= /etc
RUNDIR ?= /run

sharedstatedir := /var/lib
config_path := $(SYSCONFDIR)/soju/config
admin_socket_path := $(RUNDIR)/soju/admin
goflags := $(GOFLAGS) -ldflags=" \
	-X 'git.sr.ht/~emersion/soju/config.DefaultPath=$(config_path)' \
	-X 'git.sr.ht/~emersion/soju/config.DefaultUnixAdminPath=$(admin_socket_path)'"
commands := soju sojuctl sojudb
man_pages := doc/soju.1 doc/sojuctl.1

all: $(commands) $(man_pages)

soju:
	$(GO) build $(goflags) -o . ./cmd/soju ./cmd/sojudb ./cmd/sojuctl
sojudb sojuctl: soju
doc/soju.1: doc/soju.1.scd
	$(SCDOC) <doc/soju.1.scd >doc/soju.1
doc/sojuctl.1: doc/sojuctl.1.scd
	$(SCDOC) <doc/sojuctl.1.scd >doc/sojuctl.1

clean:
	$(RM) -f $(commands) doc/soju.1
install:
	mkdir -p $(DESTDIR)$(PREFIX)/$(BINDIR)
	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/soju
	mkdir -p $(DESTDIR)$(sharedstatedir)/soju
	cp -f $(commands) $(DESTDIR)$(PREFIX)/$(BINDIR)
	cp -f $(man_pages) $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	[ -f $(DESTDIR)$(config_path) ] || cp -f config.in $(DESTDIR)$(config_path)

.PHONY: soju sojudb sojuctl clean install

=== debian/changelog ===
soju (0.6.2-1) unstable; urgency=medium

  [ Taavi Väänänen, Nilesh Patra ]
  * Initial release (Closes: #1014328)

 -- Taavi Väänänen <hi@taavi.wtf>  Wed, 25 Oct 2023 09:30:06 +0530

## soju 0.7.0

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 sharedstatedir := /var/lib
 config_path := $(SYSCONFDIR)/soju/config
 admin_socket_path := $(RUNDIR)/soju/admin
-goflags := $(GOFLAGS) -ldflags=" \
-	-X 'git.sr.ht/~emersion/soju/config.DefaultPath=$(config_path)' \
-	-X 'git.sr.ht/~emersion/soju/config.DefaultUnixAdminPath=$(admin_socket_path)'"
+goldflags := -X 'git.sr.ht/~emersion/soju/config.DefaultPath=$(config_path)' \
+	-X 'git.sr.ht/~emersion/soju/config.DefaultUnixAdminPath=$(admin_socket_path)'
+goflags := $(GOFLAGS) -ldflags="$(goldflags)"
 commands := soju sojuctl sojudb
 man_pages := doc/soju.1 doc/sojuctl.1
 
@@ -28,7 +28,7 @@
 	$(SCDOC) <doc/sojuctl.1.scd >doc/sojuctl.1
 
 clean:
-	$(RM) -f $(commands) doc/soju.1
+	$(RM) -f $(commands) $(man_pages)
 install:
 	mkdir -p $(DESTDIR)$(PREFIX)/$(BINDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1

=== debian/changelog ===
soju (0.7.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 14:06:30 +1000

soju (0.7.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:18:33 +1000

soju (0.7.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:40:27 +0530

soju (0.7.0-1) unstable; urgency=medium

  * New upstream release 0.7.0

 -- Taavi Väänänen <hi@taavi.wtf>  Fri, 22 Dec 2023 01:09:09 +0200

=== debian/control ===
Source: soju
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taavi Väänänen <hi@taavi.wtf>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-emersion-go-sasl-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-msteinert-pam-dev,
               golang-github-pires-go-proxyproto-dev,
               golang-github-sherclockholmes-webpush-go-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-time-dev,
               golang-gopkg-irc.v4-dev,
               golang-nhooyr-websocket-dev,
               golang-pq-dev,
               golang-prometheus-client-dev,
               golang-sourcehut-emersion-go-scfg-dev,
               golang-sourcehut-sircmpwn-go-bare-dev,
               scdoc,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/soju
Vcs-Git: https://salsa.debian.org/go-team/packages/soju.git
Homepage: https://soju.im
XS-Go-Import-Path: git.sr.ht/~emersion/soju

Package: soju
Section: net
Architecture: any
Depends: adduser,
         ssl-cert,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: soju-utils,
Built-Using: ${misc:Built-Using},
Description: user-friendly IRC bouncer
 soju is an user-friendly IRC bouncer. soju connects to upstream IRC
 servers on behalf of the user to provide extra functionality. soju
 supports many features such as multiple users, numerous IRCv3
 extensions, chat history playback and detached channels. It is
 well-suited for both small and large deployments.

Package: soju-utils
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: user-friendly IRC bouncer (utilities)
 soju is an user-friendly IRC bouncer. soju connects to upstream IRC
 servers on behalf of the user to provide extra functionality. soju
 supports many features such as multiple users, numerous IRCv3
 extensions, chat history playback and detached channels. It is
 well-suited for both small and large deployments.
 .
 This package contains various utilities that might be helpful to soju
 users.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags="pam" -ldflags="-X 'git.sr.ht/~emersion/soju/config.DefaultPath=/etc/soju/config'"

	# Build man pages
	scdoc < doc/soju.1.scd > _build/soju.1
	scdoc < doc/sojuctl.1.scd > _build/sojuctl.1

=== debian/tests/control ===
Tests: upstream-tests
Depends: postgresql,
         @builddeps@,
Restrictions: isolation-container, allow-stderr, needs-sudo, superficial

Tests: service-works
Depends: openssl,
         python3,
         @,
Restrictions: isolation-container, allow-stderr, needs-sudo

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://git.sr.ht/~emersion/soju \
    refs/tags/@ANY_VERSION@ debian

## soju 0.8.0

=== debian/changelog ===
soju (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0
  * Update my email address
  * Update Standards-Version to 4.7.0, no changes required

 -- Taavi Väänänen <taavi@debian.org>  Sat, 08 Jun 2024 02:58:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: soju
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Taavi Väänänen <hi@taavi.wtf>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -11,7 +10,7 @@
                golang-any,
                golang-github-emersion-go-sasl-dev,
                golang-github-mattn-go-sqlite3-dev,
-               golang-github-msteinert-pam-dev,
+               golang-github-msteinert-pam-dev (>= 2.0.0~),
                golang-github-pires-go-proxyproto-dev,
                golang-github-sherclockholmes-webpush-go-dev,
                golang-golang-x-crypto-dev,
@@ -23,7 +22,7 @@
                golang-sourcehut-emersion-go-scfg-dev,
                golang-sourcehut-sircmpwn-go-bare-dev,
                scdoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/soju
 Vcs-Git: https://salsa.debian.org/go-team/packages/soju.git
 Homepage: https://soju.im

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_INSTALL_EXTRA := database/postgres_schema.sql database/sqlite_schema.sql
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang

## soju 0.8.1

=== debian/changelog ===
soju (0.8.1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 11:58:17 +1000

soju (0.8.1-1) unstable; urgency=medium

  * New upstream release 0.8.1
  * Update package metadata for Codeberg move

 -- Taavi Väänänen <taavi@debian.org>  Sat, 20 Jul 2024 09:33:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soju
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -26,7 +27,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/soju
 Vcs-Git: https://salsa.debian.org/go-team/packages/soju.git
 Homepage: https://soju.im
-XS-Go-Import-Path: git.sr.ht/~emersion/soju
+XS-Go-Import-Path: codeberg.org/emersion/soju
 
 Package: soju
 Section: net

## soju 0.8.2

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 sharedstatedir := /var/lib
 config_path := $(SYSCONFDIR)/soju/config
 admin_socket_path := $(RUNDIR)/soju/admin
-goldflags := -X 'git.sr.ht/~emersion/soju/config.DefaultPath=$(config_path)' \
-	-X 'git.sr.ht/~emersion/soju/config.DefaultUnixAdminPath=$(admin_socket_path)'
+goldflags := -X 'codeberg.org/emersion/soju/config.DefaultPath=$(config_path)' \
+	-X 'codeberg.org/emersion/soju/config.DefaultUnixAdminPath=$(admin_socket_path)'
 goflags := $(GOFLAGS) -ldflags="$(goldflags)"
 commands := soju sojuctl sojudb
 man_pages := doc/soju.1 doc/sojuctl.1

=== debian/changelog ===
soju (0.8.2-2) unstable; urgency=medium

  * Drop debian/patches/0002-websocket.diff (Closes: #1090305)

 -- Taavi Väänänen <taavi@debian.org>  Mon, 16 Dec 2024 20:00:20 +0200

soju (0.8.2-1) unstable; urgency=medium

  * New upstream release 0.8.2
    - Add patch to use old import path for the used Go web socket
      library.

 -- Taavi Väänänen <taavi@debian.org>  Sat, 31 Aug 2024 17:40:25 +0300

## soju 0.9.0

=== debian/changelog ===
soju (0.9.0-1) unstable; urgency=medium

  * New upstream release 0.9.0

 -- Taavi Väänänen <taavi@debian.org>  Wed, 26 Mar 2025 14:05:15 +0200

## soju 0.10.0

=== debian/changelog ===
soju (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
    - Install the pam config file.

 -- Taavi Väänänen <taavi@debian.org>  Thu, 06 Nov 2025 23:24:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: soju
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-golang,
                golang-any,
+               golang-codeberg-emersion-go-scfg-dev,
                golang-github-emersion-go-sasl-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-msteinert-pam-dev (>= 2.0.0~),
                golang-github-pires-go-proxyproto-dev,
-               golang-github-sherclockholmes-webpush-go-dev,
+               golang-github-sherclockholmes-webpush-go-dev (>= 1.4.0~),
                golang-golang-x-crypto-dev,
                golang-golang-x-time-dev,
                golang-gopkg-irc.v4-dev,
                golang-nhooyr-websocket-dev,
                golang-pq-dev,
                golang-prometheus-client-dev,
-               golang-sourcehut-emersion-go-scfg-dev,
                golang-sourcehut-sircmpwn-go-bare-dev,
                scdoc,
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_auto_install -- --no-source
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -tags="pam" -ldflags="-X 'git.sr.ht/~emersion/soju/config.DefaultPath=/etc/soju/config'"
+	dh_auto_build -O--buildsystem=golang -- -tags="pam" -ldflags="-X 'codeberg.org/emersion/soju/config.DefaultPath=/etc/soju/config'"
 
 	# Build man pages
 	scdoc < doc/soju.1.scd > _build/soju.1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://codeberg.org/emersion/soju \
    refs/tags/@ANY_VERSION@ debian

## soju 0.10.1

=== Makefile ===
--- 
+++ 
@@ -37,5 +37,9 @@
 	cp -f $(commands) $(DESTDIR)$(PREFIX)/$(BINDIR)
 	cp -f $(man_pages) $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
 	[ -f $(DESTDIR)$(config_path) ] || cp -f config.in $(DESTDIR)$(config_path)
+	if go version -m soju | grep -E '^\s*build\s*-tags=' | grep -Eq '(=|,)pam($|,)'; then \
+	  mkdir -p $(DESTDIR)$(SYSCONFDIR)/pam.d; \
+	  cp -f auth/pam_config $(DESTDIR)$(SYSCONFDIR)/pam.d/soju; \
+	fi
 
 .PHONY: soju sojudb sojuctl clean install

=== debian/changelog ===
soju (0.10.1-1) unstable; urgency=medium

  * New upstream release 0.10.1

 -- Taavi Väänänen <taavi@debian.org>  Thu, 13 Nov 2025 18:57:30 +0200
